Oprava: .NET Framework 4.7 není v tomto operačním systému podporován

Radí: Klikněte Zde Pro Opravu Chyb Windows A Optimalizovat Výkonnost Systému

.Net Framework je programovací infrastruktura zavedená společností Microsoft. Ke spuštění různých aplikací a služeb budete potřebovat .Net Framework. Většina aplikací, které vyžadují rozhraní .Net Framework, je dodávána také s instalačními soubory. Při instalaci aplikace se tedy nainstaluje automaticky do vašeho systému. Při instalaci aplikace se však může zobrazit chyba „.NET Framework 4.7 není v tomto operačním systému podporována“. Tato chyba vám zabrání v úspěšné instalaci aplikace. Tato chyba se může zobrazit, když se pokoušíte nainstalovat .Net Framework jako samostatnou aplikaci / službu.

Důvod, proč k této chybě dochází, je stejný jako v chybové zprávě. I když je rozhraní .Net Framework podporováno v systému Windows 10, ale není kompatibilní se všemi verzemi systému Windows 10. Pokud se tato zpráva zobrazuje, nejpravděpodobnější příčinou této chyby je, že používáte verzi systému Windows 10, která není kompatibilní s .Net Framework.

Metoda 1: Aktualizace systému Windows 10

Jediným řešením tohoto problému je jednoduchá aktualizace systému Windows 10. Doporučuje se vyhledat aktualizace systému Windows, i když používáte nejnovější verzi systému Windows 10. Protože je problém způsoben nekompatibilním operačním systémem, nainstalujte si všechny dostupné Windows 10 aktualizace problém pravděpodobně vyřeší. Přesnou verzi systému Windows 10 a verzi vyžadovanou .Net Framework můžete také zkontrolovat podle níže uvedených kroků.

  1. Podržte klávesu Windows a stiskněte klávesu R
  2. Zadejte winver a stiskněte klávesu Enter

  1. Vaše verze by měla být uvedena v nově otevřeném okně. Číslo za verzí (ve druhém řádku) je vaše číslo verze. Číslo by mělo být 1507 nebo 1709. První 2 číslice jsou rok a druhý 2 představuje měsíc. Pokud tedy máte verzi 1709, znamená to, že používáte verzi vydanou v září 2017

  1. Nyní se musíte ujistit, že máte verzi systému Windows 10, která je kompatibilní s rozhraním .Net Framework. Klikněte zde a klikněte na Systémové požadavky

Pokud se podíváte na část Podporovaný operační systém, uvádí se aktualizace Windows 10 Anniversary Update a Windows 10 Creators . Protože mnoho lidí nezná čísla verzí spojená s aktualizacemi Anniversary a Creators, zmínili jsme je níže

  • Listopadová aktualizace (1511)
  • Aktualizace výročí (14393)
  • Aktualizace tvůrců (1703)
  • Aktualizace Fall Creators (1709)
  • Aktualizace jarních tvůrců (1803)

Jak vidíte, aktualizace Anniversary má číslo verze 14393 a Creators Update má verzi 1703. Pokud tedy máte verzi nižší než 14393, nebudete moci nainstalovat .Net Framework 4.7 na Windows 10. Nyní jednoduše aktualizujte systém Windows a ujistěte se, že máte nejnovější verzi systému Windows 10, a zkuste to znovu.

Zajímavé Články